void RubberRectInteract(point anchor_pt, point curr_pt, int drag_flag,
		int buttonmask, locatorMeasure *final_loc, rectangle *final_rect)
{
	attributeGroup save_attributes;
	locatorMeasure curr_loc;
	int some_button_down;
	rectangle curr_rect;

	SRGP_inquireAttributes(&save_attributes);
	SRGP_setLineStyle(CONTINUOUS);
	SRGP_setFillStyle(SOLID);
	SRGP_setInputMode(LOCATOR,SAMPLE);
	SRGP_setWriteMode(WRITE_XOR);

	SRGP_setLocatorEchoType(CURSOR)					/* or NO_ECHO */;
	SRGP_setLocatorMeasure(curr_pt);				/* for goodmeasure */

/*
* We want the rectangle to be insensitive to whether
* the anchor is lower and to left of current point-
* the GEOM_utility function assures this.
*/
	curr_rect=GEOM_rectFromDiagPoints(anchor_pt,curr_pt);
/* Now we make the rubberband box first appear:* /
	SRGP_rectangle(curr_rect);

	while(( buttons_are_down(buttonmask,curr_loc.button_chord))){
		SRGP_sampleLocator(&curr_loc);
/* We update echo only if the mouse has moved; */
		if(curr_loc.position.x!=curr_pt.x||curr_loc.position.y!=curr_pt.y){
			SRGP_rectangle(curr_rect);
/* At this point,last box we drew disappears */
			curr_pt=curr_loc.position;
			curr_rect=GEOM_rectFromDiagPoints(anchor_pt,curr_pt);
			SRGP_rectangle(curr_rect);
/* Now box appears from anchor to new position */
		}
	}

/* At this point, we have drawn the box to the last point once */
/* Thus, we must erase it by drawing it again: */
	SRGP_rectangle(curr_rect);
	*final_loc = curr_loc;
	*final_rect = curr_rect;

/* Now restore state as of function entry: */
	SRGP_setInputMode(LOCATOR,INACTIVE);
	SRGP_setAttributes(save_attributes);
}